IPSW-DOWNLOAD(1)

NAME
ipsw-download - Download Apple Firmware files (and more)

SYNOPSIS
ipsw download [flags]

DESCRIPTION
Download Apple Firmware files (and more)

OPTIONS
--black-list=[]
    iOS device black list

-b, --build=""
    iOS BuildID (i.e. 16F203)

-y, --confirm[=false]
    do not prompt user for confirmation

-d, --device=""
    iOS Device (i.e. iPhone11,2)

-h, --help[=false]
    help for download

--insecure[=false]
    do not verify ssl certs

-m, --model=""
    iOS Model (i.e. D321AP)

--proxy=""
    HTTP/HTTPS proxy

-_, --remove-commas[=false]
    replace commas in IPSW filename with underscores

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--skip-all[=false]
    always skip resumable IPSWs

-v, --version=""
    iOS Version (i.e. 12.3.1)

--white-list=[]
    iOS device white list

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw(1), ipsw-download-appledb(1), ipsw-download-dev(1), ipsw-download-git(1), ipsw-download-ipa(1), ipsw-download-ipsw(1), ipsw-download-keys(1), ipsw-download-macos(1), ipsw-download-ota(1), ipsw-download-pcc(1), ipsw-download-rss(1), ipsw-download-tss(1), ipsw-download-wiki(1)

HISTORY
26-Feb-2025 Auto generated by spf13/cobra